Yar_Client::__construct
Yar_Concurrent_Client
Yar_Client
PHP Manual

# Yar_Client::setOpt

Set calling contexts

### Description

public boolean Yar_Client::setOpt ( number `$name` , mixed `$value` )

### Parameters

`name`

  it can be: YAR_OPT_PACKAGER, YAR_OPT_PERSISTENT (Need server support), YAR_OPT_TIMEOUT, YAR_OPT_CONNECT_TIMEOUT

`value`

### Return Values

### Examples

Example #1 Yar_Client::setOpt example

`<?php
$cient = new Yar_Client("http://host/api/");
//Set timeout to 1s
$client->SetOpt(YAR_OPT_CONNECT_TIMEOUT, 1000);
//Set packager to JSON
$client->SetOpt(YAR_OPT_PACKAGER, "json");
/* call remote service */
$result = $client->some_method("parameter");
?>`

The above example will output something similar to:

### See Also

- Yar_Client::__call